View Issue Details

IDProjectCategoryView StatusLast Update
0027720LazarusIDEpublic2015-12-16 00:18
Reporterteoe300 Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWin32OSWindows XP 
Product Version1.2.6 
Summary0027720: Bug in "Add Active File To Package"
DescriptionIn Lazarus, the option "Add Active File To Package" has an annoying bug.
In case the directory of the unit is not in unit search path, the path is neither automatically appended nor the uset is prompted to add it as it is done in projects.
Steps To Reproduce1. Create a package.
2. Via the "Add Active File To Package" menu, try to add a unit which is not in the unit search path of ypur package.
3. Open the options for the package and look for the "Other unit files".
4. The path to the unit you added is not appended.
Additional InformationBy contrast, the "Add" command in the package menu does prompt the user in case the new unit is not in the package's unit search path.
TagsNo tags attached.
Fixed in Revisionr50839
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0028097 resolvedJuha Manninen Patches PackgEditor. new look, no AddMore btn 

Activities

Juha Manninen

2015-12-16 00:18

developer   ~0087982

Fixed, please test. This will be merged to 1.6 after some testing.

Issue History

Date Modified Username Field Change
2015-03-24 12:55 teoe300 New Issue
2015-03-24 13:15 Mattias Gaertner Assigned To => Mattias Gaertner
2015-03-24 13:15 Mattias Gaertner Status new => assigned
2015-05-16 11:35 Juha Manninen Relationship added related to 0028097
2015-12-15 15:29 Juha Manninen Assigned To Mattias Gaertner => Juha Manninen
2015-12-16 00:18 Juha Manninen Fixed in Revision => r50839
2015-12-16 00:18 Juha Manninen LazTarget => -
2015-12-16 00:18 Juha Manninen Note Added: 0087982
2015-12-16 00:18 Juha Manninen Status assigned => resolved
2015-12-16 00:18 Juha Manninen Resolution open => fixed